=== debian/changelog ===
ecl (12.12.1-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1040330). Remaining changes:
    - debian/rules: Enable unicode support.

 -- Mattia Rizzolo <mattia@mapreri.org>  Thu, 18 Jul 2013 11:16:58 +0000

ecl (12.12.1-3) unstable; urgency=low

  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Sun, 30 Jun 2013 15:15:43 +0200

ecl (12.12.1-2) experimental; urgency=low

  * Disable gengc which conflicts with threading. Should fix some of the
    build failures we're seeing

 -- Christoph Egger <christoph@debian.org>  Fri, 14 Dec 2012 14:35:47 -0800

ecl (12.12.1-1) experimental; urgency=low

  * New upstream releasse

 -- Christoph Egger <christoph@debian.org>  Fri, 07 Dec 2012 15:19:14 -0800

ecl (12.2.1-1) experimental; urgency=low

  * New upstream release
  * Import patch to build on the hurd (Closes: #648993)

 -- Christoph Egger <christoph@debian.org>  Sat, 14 Apr 2012 13:13:12 +0200

ecl (11.1.1+dfsg1-1ubuntu3) saucy; urgency=low

  * Rebuild to pick up new libgc package name

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jul 2013 12:03:57 +0000

ecl (11.1.1+dfsg1-1ubuntu2) raring; urgency=low

  * Rebuild to pick up the new libgc1c3 dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 13:40:21 +0000

ecl (11.1.1+dfsg1-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Really enable unicode support.

 -- Angel Abad <angelabad@ubuntu.com>  Thu, 17 Jan 2013 11:40:10 +0100

ecl (11.1.1-4ubuntu1) precise; urgency=low

  * Merge from debian unstable (LP: #889463).  Remaining changes:
    - debian/rules: Really enable unicode support.

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 12 Nov 2011 14:09:56 +0100

ecl (10.3.1-2ubuntu3) natty; urgency=low

  * No-change rebuild for the 686 transition. (LP: #710138)

 -- Krzysztof Klimonda <kklimonda@ubuntu.com>  Wed, 02 Mar 2011 17:44:49 +0100

ecl (10.3.1-2ubuntu2) maverick; urgency=low

  * debian/rules: Really enable unicode support.
  * src/gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/arm.h:
    - Fix FTBFS on ARM by including Ubuntu patch to libatomic-ops
      to the bundled version. The fact that the lib has to be
      shipped at all is already reported as Debian bug #554081.
      Patch done in-line as Debian does so.  

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 13 May 2010 21:13:13 -0400

ecl (10.3.1-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: Enable unicode support.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 10 May 2010 19:10:47 -0400

ecl (9.6.1-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: Enable unicode support.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 19 Jun 2009 15:32:01 -0400

ecl (0.9j-20080306-5ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - debian/rules: enable unicode support.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 19 Oct 2008 12:51:22 +0200

ecl (0.9j-20080306-4ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
   + Enabled unicode support. (Closes: LP #123530)
   + debian/control:
    - Modify Maintainer value to match the DebianMaintainerField specification.
    - Updated Standards Version.

 -- Emanuele Gentili <emgent@ubuntu.com>  Sun, 13 Jul 2008 17:44:17 +0200

ecl (0.9j-20080306-2ubuntu1) intrepid; urgency=low

  * Enabled unicode support. (Closes: LP #123530)
  * Modify Maintainer value to match the DebianMaintainerField specification.

 -- Albin Tonnerre <lutin@ubuntu.com>  Fri, 20 Jun 2008 18:00:19 +0200

ecl (0.9i-20070324-2ubuntu1) gutsy; urgency=low

  * Enabled unicode support. (Closes: LP #123530)

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 08 Jul 2007 08:37:11 -0400
