## ecl 13.5.1

=== debian/changelog ===
ecl (13.5.1-1) experimental; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Sun, 07 Jul 2013 11:24:52 +0200
