=== debian/rules ===
--- 
+++ 
@@ -42,10 +42,7 @@
 	dh_testdir
 #	Add here commands to configure the package.
 	chmod a+x configure \
-	 src/gmp/macos/configure \
-	 src/gmp/configure \
-	 src/configure \
-	 src/gmp/mpn/m4-ccas
+	 src/configure
 
 	touch src/configure.in && \
 	touch src/aclocal.m4 && \
@@ -58,9 +55,8 @@
 	   --with-tcp \
 	   --with-clx  \
 	   --enable-threads=yes \
-	   --with-x \
-	   --enable-unicode
-	   #--enable-boehm=system
+	   --enable-boehm=system  \
+	   --with-x
 
 	touch config.status
