## ecl 13.5.1+dfsg2

=== msvc/Makefile ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 SHORT_SITE_NAME   =
 LONG_SITE_NAME    =
-ECL_VERSION       = 12.12.1
-ECL_VERSION_NUMBER= 121201
+ECL_VERSION       = 13.4.1
+ECL_VERSION_NUMBER= 130401
 ARCHITECTURE      = PENTIUM4
 SOFTWARE_TYPE     = NT
 SOFTWARE_VERSION  = 5.0
