=== debian/changelog ===
ecl (13.5.1+dfsg2-4.1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Enable unicode support.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 08 Apr 2014 12:27:34 -0400

ecl (13.5.1+dfsg2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary build dep on automake1.9. (Closes: #724364)

 -- Eric Dorland <eric@debian.org>  Fri, 14 Mar 2014 23:16:45 -0400

ecl (13.5.1+dfsg2-4ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Enable unicode support.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 28 Dec 2013 17:29:51 -0500

ecl (13.5.1+dfsg2-4) unstable; urgency=medium

  * Update config.* during build (Closes: #727368)
  * Activate CAS emulation for armel

 -- Christoph Egger <christoph@debian.org>  Sat, 28 Dec 2013 17:44:38 +0100

ecl (13.5.1+dfsg2-2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules:
      + Enable unicode support.
      + Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 28 Dec 2013 02:36:31 -0500

ecl (13.5.1+dfsg2-2) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Fri, 27 Dec 2013 15:44:12 +0100

ecl (13.5.1+dfsg2-1) unstable; urgency=medium

  * Remove libffi from tarball forcing the build system to use system
    libffi. This should fix the armel build

 -- Christoph Egger <christoph@debian.org>  Mon, 23 Dec 2013 21:16:30 +0100

ecl (13.5.1+dfsg1-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Enable unicode support.
  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 26 Dec 2013 19:11:55 -0500

ecl (13.5.1+dfsg1-1) unstable; urgency=medium

  * Remove embedded libraries from source tarbal
     Closes: #708868

 -- Christoph Egger <christoph@debian.org>  Mon, 23 Dec 2013 14:32:07 +0100
