=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 
 config.status: configure
 	dh_testdir
+	dh_autotools-dev_updateconfig
 #	Add here commands to configure the package.
 	chmod a+x configure \
 	 src/configure
@@ -55,8 +56,9 @@
 	   --with-tcp \
 	   --with-clx  \
 	   --enable-threads=yes \
-	   --enable-boehm=system  \
-	   --with-x
+	   --enable-boehm=system \
+	   --with-x \
+	   --enable-unicode
 
 	touch config.status
 
@@ -98,6 +100,7 @@
 
 	rm -rf build
 
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 install: build-arch
