## ecl 15.3.7%2Bdfsg1

=== msvc/Makefile ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 SHORT_SITE_NAME   =
 LONG_SITE_NAME    =
-ECL_VERSION       = 13.4.1
-ECL_VERSION_NUMBER= 130401
+ECL_VERSION       = 15.3.7
+ECL_VERSION_NUMBER= 150307
 ARCHITECTURE      = PENTIUM4
 SOFTWARE_TYPE     = NT
 SOFTWARE_VERSION  = 5.0
